# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit webapp versionator depend.php

MY_PV=$(replace_all_version_separators '-')
DESCRIPTION="CMS Made Simple is an easy to use content management system for
simple stable content sites."
HOMEPAGE="http://www.cmsmadesimple.org/"
SRC_URI="http://dev.cmsmadesimple.org/frs/download.php/1730/cmsmadesimple-1.2.3.tar.gz"

LICENSE="GPL"
KEYWORDS="~amd64 ~x86"

DEPEND="virtual/mysql"

need_php_httpd

S=${WORKDIR}

pkg_setup() {
	local flags="mysql"
	if ! PHPCHECKNODIE="yes" require_php_with_use mysql ; then
		die "Re-install ${PHP_PKG} with ${flags} in USE."
	fi
	webapp_pkg_setup
}

src_install () {
	webapp_src_preinst
	local files="admin config.php doc favicon_cms.ico fileloc.php images include.php
	index.php install lib moduleinterface.php modules plugins preview.php
	robots.txt soap.php stylesheet.css stylesheet.php tmp tmp/cache
	tmp/cache/SITEDOWN tmp/cache/index.html tmp/configs tmp/configs/index.html
	tmp/templates tmp/templates/index.html tmp/templates_c
	tmp/templates_c/index.html uploads uploads/images uploads/images/logo1.gif version.php"

	# CMS Made Simple needs a config.php file to be present
	# from the very start, even if it's completely empty
	touch cmsmadesimple-1.2.3/config.php
	cp -R cmsmadesimple-1.2.3/* "${D}"/${MY_HTDOCSDIR}

	for a in ${files}; do
		webapp_serverowned "${MY_HTDOCSDIR}/${a}"
	done

	webapp_configfile ${MY_HTDOCSDIR}/config.php
	webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt

	webapp_src_install
}

pkg_postinst() {
	webapp_pkg_postinst
}
